package be.iminds.ilabt.jfed.lowlevel;

/**
 * User: twalcari
 * Date: 3/4/14
 * Time: 4:07 PM
 */
public class JFedConnectivityException extends JFedException {
    public JFedConnectivityException(String s, Throwable ex, XMLRPCCallDetails xmlRpcResult, GeniResponseCode geniResponseCode) {
        super(s, ex, xmlRpcResult, geniResponseCode);
    }

    public JFedConnectivityException(String s, Throwable ex, XMLRPCCallDetails xmlRpcResult) {
        super(s, ex, xmlRpcResult);
    }

    public JFedConnectivityException(String s, Throwable ex) {
        super(s, ex);
    }

    public JFedConnectivityException(String s, XMLRPCCallDetails xmlRpcResult, GeniResponseCode geniResponseCode) {
        super(s, xmlRpcResult, geniResponseCode);
    }

    public JFedConnectivityException(String s) {
        super(s);
    }
}
